<template>
    <div>
        <vol-box :lazy="true" v-model="detialBox" title="手动添加任务" :height="150" :width="400" :padding="15">
            <div>
                <el-form :model="formdata" label-width="120px" :rules="rules" size="mini" ref="ruleFormRef">
                    <el-form-item v-if="inType == 'handle'" label="地址" prop="from_address">
                        <el-select v-model="formdata.from_address" filterable placeholder="请选择起始地址">
                            <el-option v-for="item in formAddressList" :label="item" :value="item" />
                            <!-- <el-option :value="正极1号烘烤机">正极1号烘烤机</el-option>
                            <el-option :value="正极2号烘烤机">正极2号烘烤机</el-option>
                            <el-option :value="负极1号烘烤机">负极1号烘烤机</el-option>
                            <el-option :value="负极2号烘烤机">负极2号烘烤机</el-option> -->
                        </el-select>
                    </el-form-item>
                    
                    <el-form-item label="">
                        <el-button type="primary" @click="onSubmit()" size="mini"> 添加正负及烘烤其他手动任务</el-button>
                    </el-form-item>
                </el-form>
            </div>
        </vol-box>
    </div>
</template>
  

<script >
import VolBox1Vue from '@/components/basic/VolBox.vue';
export default {
    components: { "vol-box": VolBox1Vue },
    methods: {},
    
    data() {
        return {
            detialBox: false,
            inType: "handle",
            rules: {
                from_address: [{ required: true, message: '请选择地址', trigger: 'blur' }],
            },
            formdata: {
                from_address: "",
            },
            formAddressList: [
            "正极3号烘烤机", "正极4号烘烤机", "正极5号烘烤机", "正极6号烘烤机",
                    "正极7号烘烤机", "正极8号烘烤机", "正极9号烘烤机", "正极10号烘烤机",
                        "负极3号烘烤机", "负极4号烘烤机","负极5号烘烤机", "负极6号烘烤机", "负极7号烘烤机", "负极8号烘烤机",
                     "负极9号烘烤机", "负极10号烘烤机" 
            ],
        };
    },
    methods: {
        onSubmit() {
            var _this = this;
            this.$refs.ruleFormRef.validate((valid) => {
                if (valid) {
                    // alert(_this.formdata.from_address)
                    _this.http.post("/api/WCS/AddHKTowTask?",this.formdata.from_address, "正在添加任务....").then(x => {
                        if (!x.status) return _this.$Message.error(x.message);
                        _this.$Message.success("任务添加成功!");
                        _this.refresh();
                    });
                }
            })
        }
    },
};
</script>
  
  
<style>
.formContainer {
    position: absolute;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}
</style>
  